Latest 0.1.1
Homepage https://github.com/kalestarler/NLBirthDateValidator
License MIT
Platforms ios 9.0
Authors

CI Status
Version
License
Platform

Example

To run the example project, clone the repo, and run pod install from the Example directory first.

Installation

NLBirthDateValidator is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod "NLBirthDateValidator"

Usage

To use, implement the following code.

let result = NLBirthDateValidator.checkBirthDate(13, month: 09, year: 1986, minimumAge: 16)

The result would either be .DateValid, .DateInvalid, or .AgeUnderMinimum.

Author

Kale, [email protected]

License

NLBirthDateValidator is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "NLBirthDateValidator",
    "version": "0.1.1",
    "summary": "A simple function to check if a birth date is valid, and/or if it meets a minimum age requirement.",
    "description": "A simple function to check if a birth date is valid, and/or if it meets a minimum age requirement. Just pass in the parameters for day, month, year and the minimum age you want to check against (optional), and it will return a a BirthDateCheckResult enum for .DateValid, .DateInvalid or .AgeUnderMinimum.",
    "homepage": "https://github.com/kalestarler/NLBirthDateValidator",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "Kale": "[email protected]"
    },
    "source": {
        "git": "https://github.com/kalestarler/NLBirthDateValidator.git",
        "tag": "0.1.1"
    },
    "platforms": {
        "ios": "9.0"
    },
    "source_files": "NLBirthDateValidator/Classes/**/*"
}

Pin It on Pinterest

Share This